Bug 842405 - problems with compatibility for UCD-SNMP-MIB and HOST-RESOURCES-MIB
problems with compatibility for UCD-SNMP-MIB and HOST-RESOURCES-MIB
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: net-snmp (Show other bugs)
6.5
x86_64 Linux
unspecified Severity urgent
: rc
: ---
Assigned To: Jan Safranek
BaseOS QE Security Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-23 15:02 EDT by Ramkumar Raghavan
Modified: 2012-07-24 07:27 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-24 07:27:04 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ramkumar Raghavan 2012-07-23 15:02:33 EDT
Description of problem:
When I do snmpget for these MIB's I get the below errors.

========================
1.3.6.1.4.1.2021.51.101.36
UCD-SNMP-MIB::ucdavis.51.101.36
Error in packet
Reason: (noSuchName) There is no such variable name in this MIB.
Failed object: UCD-SNMP-MIB::ucdavis.51.101.36

========================
1.3.6.1.4.1.2021.51.101.39
UCD-SNMP-MIB::ucdavis.51.101.39
Error in packet
Reason: (noSuchName) There is no such variable name in this MIB.
Failed object: UCD-SNMP-MIB::ucdavis.51.101.39

========================
1.3.6.1.4.1.2021.51.101.42
UCD-SNMP-MIB::ucdavis.51.101.42
Error in packet
Reason: (noSuchName) There is no such variable name in this MIB.
Failed object: UCD-SNMP-MIB::ucdavis.51.101.42

========================
1.3.6.1.2.1.25.2.3.1.5.2
HOST-RESOURCES-MIB::hrStorageSize.2
Error in packet
Reason: (noSuchName) There is no such variable name in this MIB.
Failed object: HOST-RESOURCES-MIB::hrStorageSize.2

========================
1.3.6.1.2.1.25.2.3.1.6.2
HOST-RESOURCES-MIB::hrStorageUsed.2
Error in packet
Reason: (noSuchName) There is no such variable name in this MIB.
Failed object: HOST-RESOURCES-MIB::hrStorageUsed.2



Version-Release number of selected component (if applicable):
net-snmp-5.5-41.el6_3.1.x86_64
net-snmp-libs-5.5-41.el6_3.1.x86_64
net-snmp-utils-5.5-41.el6_3.1.x86_64


How reproducible:
snmpget -c <community string> <hostname> -v1 1.3.6.1.2.1.25.2.3.1.6.2

Steps to Reproduce:
1.snmpget -c <community string> <hostname> -v1 1.3.6.1.2.1.25.2.3.1.6.2
2.
3.
  
Actual results:

1.3.6.1.2.1.25.2.3.1.6.2
HOST-RESOURCES-MIB::hrStorageUsed.2
Error in packet
Reason: (noSuchName) There is no such variable name in this MIB.
Failed object: HOST-RESOURCES-MIB::hrStorageUsed.2

Expected results:
return the actual snmp value which works with older snmp versions

Additional info:
Comment 2 Jan Safranek 2012-07-24 06:41:24 EDT
Thank you for taking the time to enter a bug report with us. We appreciate the feedback and look to use reports such as this to guide our efforts at improving our products. That being said, this bug tracking system is not a mechanism for requesting support, and we are not able to  guarantee the timeliness or suitability of a resolution.

If this issue is critical or in any way time sensitive, please raise a ticket through your regular Red Hat support channels to make certain  it receives the proper attention and prioritization to assure a timely resolution.

For information on how to contact the Red Hat production support team, please visit: https://www.redhat.com/support/process/production/#howto
Comment 3 Jan Safranek 2012-07-24 06:49:46 EDT
Please provide following information:
- version and release of the latest working net-snmp package, 'older snmp versions
' is not good enough

- expected value of HOST-RESOURCES-MIB::hrStorageUsed.2. I don't see this OID reported by any RHEL6 version of net-snmp.

1.3.6.1.4.1.2021.51 subtree is not handled by Net-SNMP, it must be provided either by a subagent or configuration extension, e.g. 'extend' configuration statement. Check your configuration files.
Comment 4 Ramkumar Raghavan 2012-07-24 07:09:32 EDT
(older versions) The same command works with the RHEL5.3 and here are the net-snmp rpm's that are present in RHEL5.3 (2.6.18-128.el5)

net-snmp-5.3.2.2-5.el5
net-snmp-libs-5.3.2.2-5.el5
net-snmp-libs-5.3.2.2-5.el5
net-snmp-utils-5.3.2.2-5.el5

1.3.6.1.4.1.2021.51.101.36
UCD-SNMP-MIB::ucdavis.51.101.36 = STRING: "6486071.00"
========================
1.3.6.1.4.1.2021.51.101.39
UCD-SNMP-MIB::ucdavis.51.101.39 = STRING: "4386.00"
========================
1.3.6.1.4.1.2021.51.101.42
UCD-SNMP-MIB::ucdavis.51.101.42 = STRING: "847375.00"

1.3.6.1.2.1.25.2.3.1.5.2
HOST-RESOURCES-MIB::hrStorageSize.2 = INTEGER: 65875484
========================
1.3.6.1.2.1.25.2.3.1.6.2
HOST-RESOURCES-MIB::hrStorageUsed.2 = INTEGER: 35156716

On RHEL6 we have issues..

If you feel this is not a bug, Please close this. I will check with RH support

Thanks
Ramkumar
Comment 5 Jan Safranek 2012-07-24 07:27:04 EDT
Yes, please contact the support.

Note You need to log in before you can comment on or make changes to this bug.